package com.bocloud.cms.model;

import com.bocloud.cms.model.base.BaseMonitorModel;
import com.bocloud.ims.entity.CloudServer;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * 云资源类型
 *
 * @author zhangyf
 * @version 5.6.0
 * @date 2022/2/21 18:01
 */
@EqualsAndHashCode(callSuper = true)
@Data
public class CloudServerModel extends CloudServer implements BaseMonitorModel {

    /**
     * 云主机 是否开启告警状态
     */
    private Boolean alarmEnable;
}