package com.bocloud.ims.enums.hmc;

/**
 * HMC逻辑分区类型
 *
 * @author sxp
 * @since May 22, 2018
 */
public enum HmcPartitionType {
    /**
     * AIX/Linux分区
     */
    AIX_LINUX("AIX/Linux"),
    /**
     * 虚拟IO服务器分区
     */
    VIOS("Virtual IO Server"),
    /**
     * IBMI分区
     */
    IBMI("OS400");

    private HmcPartitionType(String type) {
        this.type = type;
    }

    private String type;

    public String getType() {
        return type;
    }
}
