package com.bocloud.pms.entity;

import com.megatron.entity.bean.GenericEntity;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * 关系型数据库
 *
 * @author weiwei
 */
@Data
@EqualsAndHashCode(callSuper = true)
public class RdsDb extends GenericEntity {

    /**
     * ID
     */
    private Long id;
    /**
     * 字符集
     */
    private String characterSet;
    /**
     * 排序规则
     */
    private String collation;
    /**
     * 字符分类
     */
    private String collctype;
    /**
     * 所属数据库服务
     */
    private Long rdsId;
    private String address;
    private String users;

}
