package com.bocloud.pms.entity;

import com.megatron.entity.bean.Generic;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * 数据库节点
 *
 * @author weiwei
 */
@Data
@EqualsAndHashCode(callSuper = true)
public class RdsNode extends Generic {

    /**
     * ID
     */
    private Long id;
    /**
     * 节点地址
     */
    private String address;
    /**
     * 节点端口
     */
    private Integer port;
    /**
     * 节点角色
     */
    private String role;
    /**
     * 节点状态
     */
    private String status;
    /**
     * 关联的云主机实例ID
     */
    private String instanceId;
    /**
     * 关联的云主机ID
     */
    private Long serverId;
    /**
     * 数据库服务ID
     */
    private Long rdsId;
    private String manageIp;
    private String groupId;

}
