package com.bocloud.cms.intf;

import com.bocloud.cms.entity.MonitorAllocationRatio;
import com.megatron.common.model.GeneralResult;

/**
 * @author zhangyf
 * @version 5.5.0
 * @date 2022/2/21 18:01
 */
public interface AllocationRatioService {

    /**
     * 保存超分比
     *
     * @param allocationRatio 超分比
     * @return 操作结果
     */
    GeneralResult<?> save(MonitorAllocationRatio allocationRatio);

    /**
     * 查询超分比
     *
     * @param vendorId 云平台ID
     * @return 超分比
     */
    GeneralResult<?> query(Long vendorId);

}
