package com.bocloud.cms.intf;

import com.bocloud.cms.model.RdsMysqlModel;
import com.megatron.common.model.GeneralResult;
import com.megatron.common.model.Pager;
import com.megatron.common.model.RequestContext;
import jakarta.servlet.http.HttpServletRequest;

/**
 * 服务操作业务实现
 *
 * @author YuFengYang
 * @version 1.0
 * @since 2022/9/29 15:45
 */
public interface ApsaraStackMysqlService  extends MonitoringAble<RdsMysqlModel>{


    /**
     * 获取res mysql列表
     * @param pager 分页参数
     * @param context 请求上下文
     * @param request  前端请求
     * @return rds mysql列表
     */
    GeneralResult list(Pager pager, RequestContext context, HttpServletRequest request);

}
