package com.bocloud.cms.intf;

import com.bocloud.cms.model.LbListenerModel;
import com.megatron.common.model.GeneralResult;
import com.megatron.common.model.Pager;
import com.megatron.common.model.RequestContext;
import jakarta.servlet.http.HttpServletRequest;

/**
 * 负载均衡监听器
 *
 * @author hya
 * @date 2022/5/12 16:27
 */
public interface HcsoElbListenerService extends MonitoringAble<LbListenerModel> {

    /**
     * 负载均衡监听器列表
     *
     * @param pager   分页
     * @param context 当前用户上下文
     * @param request HttpServletRequest
     * @return 负载均衡监听器列表
     */
    GeneralResult<?> listOfLbListener(Pager pager, RequestContext context, HttpServletRequest request);

}
