package com.bocloud.cms.intf;

import com.megatron.common.model.GeneralResult;

/**
 * 资源统计
 *
 * @author zhangyf
 */
public interface ResourceStatisticsService {

    /**
     * 站点资源使用率
     *
     * @param type 类型，cpu｜mem｜disk
     * @return 站点资源使用率统计结果
     */
    GeneralResult<?> usage(String type);

}