package com.bocloud.cms.intf;

import com.bocloud.dms.entity.ObjectRouter;
import com.megatron.common.model.GeneralResult;
import com.megatron.common.model.Pager;
import com.megatron.common.model.RequestContext;

/**
 * xsky对象路由监控
 *
 * @author zhangyf
 * @since 2020-07-08
 */
public interface XskyObjectRouterService extends MonitoringAble<ObjectRouter> {

    /**
     * 对象路由列表
     *
     * @param pager   分页
     * @param context 当前用户上下文
     * @return 对象路由列表
     */
    GeneralResult<?> list(Pager pager, RequestContext context);

}
