package com.bocloud.cms.intf;

import com.bocloud.dms.entity.Volume;
import com.megatron.common.model.GeneralResult;
import com.megatron.common.model.Pager;
import com.megatron.common.model.RequestContext;

/**
 * xsky存储卷监控
 *
 * @author zhangyf
 * @since 2020-07-08
 */
public interface XskyVolumeService extends MonitoringAble<Volume> {

    /**
     * 缓存磁盘列表
     *
     * @param pager   分页
     * @param context 当前用户上下文
     * @return 缓存磁盘列表
     */
    GeneralResult<?> list(Pager pager, RequestContext context);

}
