package com.bocloud.cms.booter.config;

import io.swagger.v3.oas.models.OpenAPI;
import io.swagger.v3.oas.models.info.Contact;
import io.swagger.v3.oas.models.info.Info;
import org.springframework.context.annotation.Bean;
import org.springframework.context.annotation.Configuration;

/**
 * @author dmw
 */
@Configuration
public class SwaggerConfiguration {

    @Bean
    public OpenAPI openAPI() {
        Contact contact = new Contact().name("张永飞").email("zhangyongfei@beyondcent.com").url("http://www.bocloud.com/");
        Info info = new Info().title("监控服务API接口文档").description("监控服务API接口文档")
                .termsOfService("http://www.bocloud.com/").contact(contact).version("1.0");
        return new OpenAPI().info(info);
    }
}
