package com.bocloud.cms.model;

import com.bocloud.cms.model.base.BaseMonitorModel;
import com.bocloud.pms.entity.Cms;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * cms实体类
 *
 * @author zhangyf
 * @version 5.6.0
 * @date 2022/2/21 18:01
 */
@EqualsAndHashCode(callSuper = true)
@Data
public class CmsModel extends Cms implements BaseMonitorModel {

    /**
     * 消息队列 是否开启告警状态
     */
    private Boolean alarmEnable;

}
