package com.bocloud.cms.model;

import com.bocloud.cms.model.base.BaseMonitorModel;
import com.bocloud.dms.entity.Disk;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * 磁盘实体
 *
 * @author zhangyf
 * @version 5.6.0
 * @date 2022/2/21 18:01
 */
@EqualsAndHashCode(callSuper = true)
@Data
public class DiskModel extends Disk implements BaseMonitorModel {

    /**
     * 是否开启告警状态
     */
    private Boolean alarmEnable;

}
