package com.bocloud.cms.model;

import com.bocloud.cms.model.base.BaseMonitorModel;
import com.bocloud.ims.LbListener;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * @author hya
 * @date 2022/5/12 16:30
 */
@EqualsAndHashCode(callSuper = true)
@Data
public class LbListenerModel extends LbListener implements BaseMonitorModel {
    /**
     * 是否开启监控
     */
    private Boolean alarmEnable;
    /**
     * 负载均衡器Name属性
     */
    private String lbName;
}