package com.bocloud.cms.model;

import com.bocloud.cms.model.base.BaseMonitorModel;
import com.bocloud.ims.entity.RdsMySQL;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * 服务操作业务实现
 *
 * @author YuFengYang
 * @version 1.0
 * @since 2022/9/29 15:56
 */
@EqualsAndHashCode(callSuper = true)
@Data
public class RdsMysqlModel extends RdsMySQL implements BaseMonitorModel {

    /**
     * 云主机 是否开启告警状态
     */
    private Boolean alarmEnable;
}