package com.bocloud.cms.model;

import lombok.Data;

import java.util.List;

/**
 * 开启关闭监控参数
 *
 * @author zhangyf
 * @since 2021-03-30
 */
@Data
public class VendorActionParam {
    /**
     * 动作，open|close
     */
    private String action;
    /**
     * 平台ID集合
     */
    private List<Long> ids;

}
