package com.bocloud.cms.intf;

import com.bocloud.ims.entity.CloudServer;
import com.megatron.common.model.GeneralResult;
import com.megatron.common.model.Pager;
import com.megatron.common.model.RequestContext;
import jakarta.servlet.http.HttpServletRequest;

/**
 * @author wpj
 * @since 2022/8/18
 */
public interface FusionComputeService extends MonitoringAble<CloudServer> {

    /**
     * 查询所有FusionCompute虚拟机列表信息
     *
     * @param pager   分页
     * @param context 当前用户上下文
     * @param request HttpServletRequest
     * @return 云主机列表
     */
    GeneralResult<?> listOfVm(Pager pager, RequestContext context, HttpServletRequest request);

}

