package com.bocloud.cms.intf;

import com.bocloud.cms.model.ElasticIpModel;
import com.megatron.common.model.GeneralResult;
import com.megatron.common.model.Pager;
import com.megatron.common.model.RequestContext;
import jakarta.servlet.http.HttpServletRequest;

/**
 * Eip
 *
 * @author hya
 * @date 2022/5/12 16:27
 */
public interface HcsoEipService extends MonitoringAble<ElasticIpModel> {

    /**
     * Eip列表
     *
     * @param pager   分页
     * @param context 当前用户上下文
     * @param request HttpServletRequest
     * @return Eip列表
     */
    GeneralResult<?> listOfEip(Pager pager, RequestContext context, HttpServletRequest request);

}
