package com.bocloud.cms.intf;

import com.bocloud.cms.model.LoadBalancerModel;
import com.megatron.common.model.GeneralResult;
import com.megatron.common.model.Pager;
import com.megatron.common.model.RequestContext;
import jakarta.servlet.http.HttpServletRequest;


/**
 * 负载均衡
 *
 * @author hya
 * @date 2022/5/12 16:27
 */
public interface HcsoElbService extends MonitoringAble<LoadBalancerModel> {

    /**
     * 负载均衡列表
     *
     * @param pager   分页
     * @param context 当前用户上下文
     * @param request HttpServletRequest
     * @return 负载均衡列表
     */
    GeneralResult<?> listOfLoadBalancer(Pager pager, RequestContext context, HttpServletRequest request);

}
