package com.bocloud.cms.intf;

import com.bocloud.dms.entity.xksy.FileSystem;
import com.megatron.common.model.GeneralResult;
import com.megatron.common.model.Pager;
import com.megatron.common.model.RequestContext;

/**
 * xsky文件系统监控
 *
 * @author zhangyf
 * @since 2020-07-08
 */
public interface XskyFileSystemService extends MonitoringAble<FileSystem> {

    /**
     * 文件系统列表
     *
     * @param pager   分页
     * @param context 当前用户上下文
     * @return 文件系统列表
     */
    GeneralResult<?> list(Pager pager, RequestContext context);

}
