package com.bocloud.cms.intf;

import com.bocloud.ims.entity.Server;
import com.megatron.common.model.GeneralResult;
import com.megatron.common.model.Pager;
import com.megatron.common.model.RequestContext;

/**
 * xsky服务器监控
 *
 * @author zhangyf
 * @since 2020-07-08
 */
public interface XskyHostService extends MonitoringAble<Server> {

    /**
     * 服务器列表
     *
     * @param pager   分页
     * @param context 当前用户上下文
     * @return 服务器列表
     */
    GeneralResult<?> list(Pager pager, RequestContext context);

}
